import request from '@/utils/request'

// 查询采集设备信息列表
export function listInfo(query) {
  return request({
    url: '/ems/info/list',
    method: 'get',
    params: query
  })
}

// 查询采集设备信息详细
export function getInfo(objid) {
  return request({
    url: '/ems/info/' + objid,
    method: 'get'
  })
}

// 新增采集设备信息
export function addInfo(data) {
  return request({
    url: '/ems/info',
    method: 'post',
    data: data
  })
}

// 修改采集设备信息
export function updateInfo(data) {
  return request({
    url: '/ems/info',
    method: 'put',
    data: data
  })
}

// 删除采集设备信息
export function delInfo(objid) {
  return request({
    url: '/ems/info/' + objid,
    method: 'delete'
  })
}
